package com.ruoyi.project.pssr.service;

import java.util.List;
import com.ruoyi.project.pssr.domain.TPssrFranklinism;

/**
 * 静电接地，跨接Service接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface ITPssrFranklinismService 
{
    /**
     * 查询静电接地，跨接
     * 
     * @param id 静电接地，跨接ID
     * @return 静电接地，跨接
     */
    public TPssrFranklinism selectTPssrFranklinismById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询静电接地，跨接列表
     * 
     * @param tPssrFranklinism 静电接地，跨接
     * @return 静电接地，跨接集合
     */
    public List<TPssrFranklinism> selectTPssrFranklinismList(TPssrFranklinism tPssrFranklinism);

    /**
     * 新增静电接地，跨接
     * 
     * @param tPssrFranklinism 静电接地，跨接
     * @return 结果
     */
    public int insertTPssrFranklinism(TPssrFranklinism tPssrFranklinism);

    /**
     * 修改静电接地，跨接
     * 
     * @param tPssrFranklinism 静电接地，跨接
     * @return 结果
     */
    public int updateTPssrFranklinism(TPssrFranklinism tPssrFranklinism);

    /**
     * 批量删除静电接地，跨接
     * 
     * @param ids 需要删除的静电接地，跨接ID
     * @return 结果
     */
    public int deleteTPssrFranklinismByIds(Long[] ids);

    /**
     * 删除静电接地，跨接信息
     * 
     * @param id 静电接地，跨接ID
     * @return 结果
     */
    public int deleteTPssrFranklinismById(Long id);
}
